/*****************************************************************************

   This file is part of x2600, the Atari 2600 Emulator
   ===================================================
   
   Copyright 1996 Alex Hornby. For contributions see the file CREDITS.

   This software is distributed under the terms of the GNU General Public
   License. This is free software with ABSOLUTELY NO WARRANTY.
   
   See the file COPYING for details.
   
   $Id: display.h,v 1.11 1996/08/24 19:00:26 ahornby Exp $

   Tweaked by Matthew Stroup for Amiga v2600, January 27, 1997.

******************************************************************************/

/*
  Defines for the X11 display code.
  */

#ifndef DISPLAY_H
#define DISPLAY_H

#define NUMCOLS 128

int fselLoad(void);
void rate_update(void);
void tv_off(void);
int tv_on(int argc, char **argv);
void tv_event(void);
void tv_display(void);
void tv_putpixel(int x, int y, UBYTE value);
extern UBYTE tv_color(UBYTE b);
extern int redraw_flag;

extern UBYTE *vscreen;
extern int vwidth,vheight,theight;
extern int tv_counter;
extern UBYTE colors[NUMCOLS];
#endif
