/*****************************************************************************

   This file is part of x2600, the Atari 2600 Emulator
   ===================================================
   
   Copyright 1996 Alex Hornby. For contributions see the file CREDITS.

   This software is distributed under the terms of the GNU General Public
   License. This is free software with ABSOLUTELY NO WARRANTY.
   
   See the file COPYING for details.

   Tweaked by Matthew Stroup for Amiga v2600, April 24, 1997.
   
******************************************************************************/

/*
  Prototypes for the memory interface.
  */

#ifndef VCSMEMORY_H
#define VCSMEMORY_H

__inline UBYTE undecRead (ADDRESS a);

void decWrite ( ADDRESS a, UBYTE b);

UBYTE decRead (ADDRESS a);

UBYTE dbgRead (ADDRESS a);

#endif
