/*****************************************************************************

   This file is part of x2600, the Atari 2600 Emulator
   ===================================================
   
   Copyright 1996 Alex Hornby. For contributions see the file CREDITS.

   This software is distributed under the terms of the GNU General Public
   License. This is free software with ABSOLUTELY NO WARRANTY.
   
   See the file COPYING for details.
   
   $Id: types.h,v 1.4 1996/09/04 22:37:48 ahornby Exp $

   Tweaked by Matthew Stroup for Amiga v2600, January 27, 1997.

******************************************************************************/


/*
 * This file declares useful types.
 */


#ifndef V2600_TYPES_H
#define V2600_TYPES_H

#include <exec/types.h>

typedef signed char	SIGNED_CHAR;

typedef unsigned int 	UINT32;
typedef unsigned short 	UINT16;

/*
typedef unsigned char    BYTE;
This should be UBYTE! Causes conflicts with Amiga type defines...
The BYTE and UBYTE are defined in <exec/types.h>.
All BYTEs in all code will have to be changed to UBYTE!
Change the above to:
typedef unsigned char 	UBYTE;
*/
typedef unsigned short 	ADDRESS;
typedef unsigned long	CLOCK;

typedef int		ADDR_T;

#endif
